Name:           xyz-gallery
Version:        0.1
Release:        1%{?dist}
Summary:        A simple Perl script for creation image galleries with JavaScript viewer
Group:          Applications/Publishing
License:        GPLv3
URL:            http://people.redhat.com/jkubin/xyz
Source0:        http://people.redhat.com/jkubin/xyz/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
This package provides a tool for processing images from digital cameras.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp xyz $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp files/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp xyz.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/%{name}-%{version}
%{_bindir}/*
%{_mandir}/man1/xyz.1*
%doc COPYING

%changelog
* Tue Mar 11 2008 Josef Kubin <jkubin@redhat.com> 0.1-1
- Released

* Tue Feb 12 2008 Lubomir Kundrak <lkundrak@redhat.com> 0-9
- Major specfile tidyup

* Fri Oct 12 2007 Josef Kubin <jkubin redhat com> 0-8
- Prerelease version
- fixing bugs

* Mon Aug 20 2007 Josef Kubin <jkubin redhat com> 0-7
- Third preliminary version
- fixing bugs

* Mon Aug 20 2007 Josef Kubin <jkubin redhat com> 0-6
- Second preliminary version

* Sat Jul 14 2007 Josef Kubin <jkubin redhat com> 0-5
- Preliminary version

